Categories List
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/categories \
--header 'x-cg-pro-api-key: <api-key>'{
"data": [
{
"id": "basedotmeme-launchpad",
"type": "category",
"attributes": {
"name": "Basedotmeme Launchpad",
"description": "Tokens launched from base.meme launchpad. (https://base.meme/)",
"volume_change_percentage": {
"h1": "-80.77",
"h6": "132756.5",
"h12": "12603.22",
"h24": "5165.63"
},
"reserve_in_usd": "25598.43",
"fdv_usd": "79496.96",
"h24_volume_usd": "622.05",
"h24_tx_count": 7
}
},
{
"id": "ape",
"type": "category",
"attributes": {
"name": "Ape",
"description": "Tokens related to the great apes ",
"volume_change_percentage": {
"h1": "1527.94",
"h6": "9972.78",
"h12": "5575.81",
"h24": "3266.85"
},
"reserve_in_usd": "22471204.46",
"fdv_usd": "16309303406314.87",
"h24_volume_usd": "26749165.82",
"h24_tx_count": 103967
}
}
]
}Categories
Categories List
To query all the supported categories on GeckoTerminal
GET
/
onchain
/
categories
Categories List
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/categories \
--header 'x-cg-pro-api-key: <api-key>'{
"data": [
{
"id": "basedotmeme-launchpad",
"type": "category",
"attributes": {
"name": "Basedotmeme Launchpad",
"description": "Tokens launched from base.meme launchpad. (https://base.meme/)",
"volume_change_percentage": {
"h1": "-80.77",
"h6": "132756.5",
"h12": "12603.22",
"h24": "5165.63"
},
"reserve_in_usd": "25598.43",
"fdv_usd": "79496.96",
"h24_volume_usd": "622.05",
"h24_tx_count": 7
}
},
{
"id": "ape",
"type": "category",
"attributes": {
"name": "Ape",
"description": "Tokens related to the great apes ",
"volume_change_percentage": {
"h1": "1527.94",
"h6": "9972.78",
"h12": "5575.81",
"h24": "3266.85"
},
"reserve_in_usd": "22471204.46",
"fdv_usd": "16309303406314.87",
"h24_volume_usd": "26749165.82",
"h24_tx_count": 103967
}
}
]
}Notes
- Returns 50 categories per page.
- Use category IDs with Pools by Category ID to retrieve pools for a specific category.
- GeckoTerminal categories are different from CoinGecko categories.
- Equivalent page on GeckoTerminal Categories.
SDK Examples
const response = await client.onchain.categories.get();
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Query Parameters
Page through results. Default value: 1
Sort the categories by field.
Default: h6_volume_percentage_desc
Available options:
h1_volume_percentage_desc, h6_volume_percentage_desc, h12_volume_percentage_desc, h24_tx_count_desc, h24_volume_usd_desc, fdv_usd_desc, reserve_in_usd_desc Response
200 - application/json
List of supported categories
Show child attributes
Show child attributes
Was this page helpful?
⌘I

